/*
  Melody
 
 Plays a melody 
 
 circuit:
 * 8-ohm speaker on digital pin 8
 
 created 21 Jan 2010
 by Tom Igoe 
 
 http://arduino.cc/en/Tutorial/Tone
 
 */
// #include "pitches.h"
#include "pz_data.h"
#include "pz.h"

// notes in the melody:
//int melody[] = {
//  NOTE_C4, NOTE_G3,NOTE_G3, NOTE_A3, NOTE_G3,0, NOTE_B3, NOTE_C4};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurations[] = {
  4, 8, 8, 4,4,4,4,4 };

int ledPin=6;
int w=0;
void setup() {

  
  // iterate over the notes of the melody:
//  for (int thisNote = 0; thisNote < 8; thisNote++) {
  for (long i= 0; ;i++) {
if(pz_data[i*2]==0 && pz_data[i*2+1]==0)
{i=0;w=0;}

ledPin=7+(4*(w%192)/192);
  digitalWrite(ledPin, HIGH);   // set the LED on

    // to calculate the note duration, take one second 
    // divided by the note type.
    //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
//    int noteDuration = 1000/noteDurations[thisNote];
    int noteDuration =  pz_data[i*2+1]*7;
//    tone(14, melody[thisNote],noteDuration);
    tone(14, pz_hz[pz_data[i*2]],noteDuration);

    // to distinguish the notes, set a minimum time between them.
    // the note's duration + 30% seems to work well:
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);

  digitalWrite(ledPin, LOW);    // set the LED off
//  ledPin++;
//  if(ledPin>=13)ledPin=6;
  w+=pz_data[i*2+1];

  }

}

void loop() {
  // no need to repeat the melody.
}




